Index: uspace/srv/hid/kbd/generic/kbd.c
===================================================================
--- uspace/srv/hid/kbd/generic/kbd.c	(revision 007e6efa14f9116036c5ff0b040b3fbedee25b6f)
+++ uspace/srv/hid/kbd/generic/kbd.c	(revision ffa2c8ef45390c01f3f4be4827bcd41c32f7951c)
@@ -36,5 +36,4 @@
  */
 
-#include <ipc/ipc.h>
 #include <ipc/services.h>
 #include <ipc/kbd.h>
@@ -173,5 +172,5 @@
 	int retval;
 
-	ipc_answer_0(iid, EOK);
+	async_answer_0(iid, EOK);
 
 	while (1) {
@@ -180,9 +179,9 @@
 		case IPC_M_PHONE_HUNGUP:
 			if (client_phone != -1) {
-				ipc_hangup(client_phone);
+				async_hangup(client_phone);
 				client_phone = -1;
 			}
 			
-			ipc_answer_0(callid, EOK);
+			async_answer_0(callid, EOK);
 			return;
 		case IPC_M_CONNECT_TO_ME:
@@ -205,5 +204,5 @@
 			retval = EINVAL;
 		}
-		ipc_answer_0(callid, retval);
+		async_answer_0(callid, retval);
 	}	
 }
Index: uspace/srv/hid/kbd/port/adb.c
===================================================================
--- uspace/srv/hid/kbd/port/adb.c	(revision 007e6efa14f9116036c5ff0b040b3fbedee25b6f)
+++ uspace/srv/hid/kbd/port/adb.c	(revision ffa2c8ef45390c01f3f4be4827bcd41c32f7951c)
@@ -35,5 +35,4 @@
  */
 
-#include <ipc/ipc.h>
 #include <ipc/adb.h>
 #include <async.h>
Index: uspace/srv/hid/kbd/port/chardev.c
===================================================================
--- uspace/srv/hid/kbd/port/chardev.c	(revision 007e6efa14f9116036c5ff0b040b3fbedee25b6f)
+++ uspace/srv/hid/kbd/port/chardev.c	(revision ffa2c8ef45390c01f3f4be4827bcd41c32f7951c)
@@ -35,5 +35,4 @@
  */
 
-#include <ipc/ipc.h>
 #include <ipc/char.h>
 #include <async.h>
@@ -91,12 +90,8 @@
 
 	/* NB: The callback connection is slotted for removal */
-	sysarg_t taskhash;
-	sysarg_t phonehash;
-	if (ipc_connect_to_me(dev_phone, 0, 0, 0, &taskhash, &phonehash) != 0) {
+	if (async_connect_to_me(dev_phone, 0, 0, 0, kbd_port_events) != 0) {
 		printf(NAME ": Failed to create callback from device\n");
 		return -1;
 	}
-
-	async_new_connection(taskhash, phonehash, 0, NULL, kbd_port_events);
 
 	return 0;
@@ -136,5 +131,5 @@
 			retval = ENOENT;
 		}
-		ipc_answer_0(callid, retval);
+		async_answer_0(callid, retval);
 	}
 }
Index: uspace/srv/hid/kbd/port/gxemul.c
===================================================================
--- uspace/srv/hid/kbd/port/gxemul.c	(revision 007e6efa14f9116036c5ff0b040b3fbedee25b6f)
+++ uspace/srv/hid/kbd/port/gxemul.c	(revision ffa2c8ef45390c01f3f4be4827bcd41c32f7951c)
@@ -35,5 +35,4 @@
  */
 
-#include <ipc/ipc.h>
 #include <async.h>
 #include <sysinfo.h>
Index: uspace/srv/hid/kbd/port/msim.c
===================================================================
--- uspace/srv/hid/kbd/port/msim.c	(revision 007e6efa14f9116036c5ff0b040b3fbedee25b6f)
+++ uspace/srv/hid/kbd/port/msim.c	(revision ffa2c8ef45390c01f3f4be4827bcd41c32f7951c)
@@ -35,5 +35,4 @@
  */
 
-#include <ipc/ipc.h>
 #include <async.h>
 #include <sysinfo.h>
Index: uspace/srv/hid/kbd/port/ns16550.c
===================================================================
--- uspace/srv/hid/kbd/port/ns16550.c	(revision 007e6efa14f9116036c5ff0b040b3fbedee25b6f)
+++ uspace/srv/hid/kbd/port/ns16550.c	(revision ffa2c8ef45390c01f3f4be4827bcd41c32f7951c)
@@ -35,5 +35,4 @@
  */
 
-#include <ipc/ipc.h>
 #include <ipc/irc.h>
 #include <async.h>
Index: uspace/srv/hid/kbd/port/pl050.c
===================================================================
--- uspace/srv/hid/kbd/port/pl050.c	(revision 007e6efa14f9116036c5ff0b040b3fbedee25b6f)
+++ uspace/srv/hid/kbd/port/pl050.c	(revision ffa2c8ef45390c01f3f4be4827bcd41c32f7951c)
@@ -37,5 +37,4 @@
 #include <ddi.h>
 #include <libarch/ddi.h>
-#include <ipc/ipc.h>
 #include <async.h>
 #include <unistd.h>
Index: uspace/srv/hid/kbd/port/z8530.c
===================================================================
--- uspace/srv/hid/kbd/port/z8530.c	(revision 007e6efa14f9116036c5ff0b040b3fbedee25b6f)
+++ uspace/srv/hid/kbd/port/z8530.c	(revision ffa2c8ef45390c01f3f4be4827bcd41c32f7951c)
@@ -35,5 +35,4 @@
  */
 
-#include <ipc/ipc.h>
 #include <ipc/irc.h>
 #include <async.h>
